Using the latest version of Scintilla

Topics: Developer Forum
Oct 24, 2013 at 5:25 PM
The latest version of Scintilla is 3.3.6. Is it possible to use it instead? And how do you build a x64 version of it, anyways?
Coordinator
Nov 6, 2013 at 2:22 AM
In theory it should be possible. To build a 64-bit version you need to use the 64-bit VS command prompt and follow the Scintilla build instructions.

Jacob
Nov 7, 2013 at 1:58 AM
After figuring out the compilation conundrum (I am not a native developer, but I know some stuff, but usually use MinGW-w64 and (currently) Msys2), I tried to make PowerShell work, but had no luck with it. I have been thinking on it, and will look at the name of the lexer to see if I had just not used the right name.

I will post back here with results.
Dec 25, 2013 at 9:55 PM
Using the latest version (MSVC11) does not work at all. I am not sure why it doesn't work, as the module loads perfectly fine.

Sigh. Back to the drawing board.
Dec 26, 2013 at 2:42 PM
I just upgraded to 3.3.7, and it now works! I guess it was a bug with 3.3.6.